# ????????????????????
# ?????
# ??????,?classpath:??,?resource?????,??classpath:images/jigsaw
aj.captcha.jigsaw=classpath:images/jigsaw
#????????????????????
##?????
# ??????,?classpath:??,?resource?????,??classpath:images/pic-click
aj.captcha.pic-click=classpath:images/pic-click
# ?????????????????????CaptchaCacheService????Redis??memcache?
# ??CaptchaCacheServiceRedisImpl.java
# ??????????????redis?????????
# ??????????????????????????????????????????
# ??? ???????????spring-boot-starter-data-redis?
# ???CaptchaCacheServiceRedisImpl.java???
# redis ----->  SPI? ?resources????META-INF.services???(??)???????resources?
# ??local/redis...
aj.captcha.cache-type=redis
# local?????,??????????
aj.captcha.cache-number=1000
# local????????(???),???0?????
aj.captcha.timing-clear=180
# ?????default???????
aj.captcha.type=default
# ??????Unicode,??????@value????????????????;yml???????
# https://tool.chinaz.com/tools/unicode.aspx ???Unicode
# ???????(????)
aj.captcha.water-mark=\u6211\u7684\u6c34\u5370
# ???????(??????????????)
# ?????????????jar???????????????
# ????????OS???????????????
# ????????????????????resources?fonts??????ttf\ttc\otf??
# aj.captcha.water-font=WenQuanZhengHei.ttf
# ????????????(?????)
# aj.captcha.font-type=WenQuanZhengHei.ttf
# ?????????????(??5??)
aj.captcha.slip-offset=5
# aes??????????(true|false)
aj.captcha.aes-status=true
# ?????(0/1/2)
aj.captcha.interference-options=2
#?????? ??Font.BOLD
aj.captcha.font-style=1
#????????
aj.captcha.font-size=25
#??????,???????????
#aj.captcha.click-word-count=4
aj.captcha.history-data-clear-enable=false
# ??????????????? true|false
aj.captcha.req-frequency-limit-enable=false
# ????5??get????
aj.captcha.req-get-lock-limit=5
# ????????????,s
aj.captcha.req-get-lock-seconds=360
# get???????????
aj.captcha.req-get-minute-limit=30
# check???????????
aj.captcha.req-check-minute-limit=60
# verify???????????
aj.captcha.req-verify-minute-limit=60
